
global alpha sigma f_d f_x f_e L w z_lb z_ub d d_diff q tol

alpha = 1.5;
sigma = 4;

f_d = 0;
f_x = 0;
f_e = 1;
L = 1;
w = 1;

z_lb = 0.1;
z_ub = 300;

syms p_tilde
if generalizedCES
    d_sym = symfun(log(alpha) + log(exp(-sigma.*p_tilde) - 1), p_tilde);
else
    alpha = 0;
    sigma = 1/0.221;
    d_sym = symfun((-sigma.*p_tilde), p_tilde); % Log demand functional (p_tilde = log(p)-log(p*))
    if min(f_d, f_x) == 0
        warning('With CES demand, must have f>0. Setting f=1.');
        f_d = 1;
        f_x = 1;
    end
end

d_diff = matlabFunction(diff(d_sym));
d_h = matlabFunction(d_sym);

if generalizedCES
    d = @(p_tilde) (p_tilde < 0) .* d_h(p_tilde);
else
    d = @(p_tilde) d_h(p_tilde);
end

% Get quantity demanded from log demand
q = @(p, p_star) exp(d(log(p)-log(p_star)));

tol = 1e-7;

titleSize = 14;
labelSize = 12;
