
% Create plot of sales percentiles (total and exporters only) for given
% distribution.


percentiles = linspace(0.02, 0.98, 50);

[equil1, ~] = solveEquilibrium(tauInit, p_star);
salesQuantiles = salesPercentiles(equil1, percentiles);
exportSalesQuantiles = salesPercentilesExporters(equil1, percentiles);


ylabels = cellstr(['0.001';'0.01 '; '0.1  '; '1    '; '10   ']);

figure(nFig)
hold on
title('Firm Sales by Percentile', 'FontSize', titleSize);
xlabel('Firm Sales Percentile', 'FontSize', labelSize);
ylabel('Sales/Mean Sales', 'FontSize', labelSize);
Dataquintiles = [.05 .25 .50 .75 .95];
DataPercmeansales = [0.00609616 0.025121586 0.093531458 0.400657323 3.363162366];
plot(percentiles.*100, salesQuantiles, '-k', 'LineWidth', 1);
set(gca, 'yscale', 'log', 'YTickLabel', ylabels);
scatter(Dataquintiles.*100, DataPercmeansales, 's', 'filled');
legend('Baseline Distribution', 'French Data (Mean Across Destinations)');
hold off

figure(nFig+1)
hold on
title('Firm Export Sales by Percentile', 'FontSize', titleSize);
xlabel('Firm Export Sales Percentile', 'FontSize', labelSize);
ylabel('Sales/Mean Sales', 'FontSize', labelSize);
Dataquintiles = [.05 .25 .50 .75 .95];
DataPercmeansales = [0.00609616 0.025121586 0.093531458 0.400657323 3.363162366];
plot(percentiles.*100, exportSalesQuantiles, '-k', 'LineWidth', 1);
set(gca, 'yscale', 'log', 'YTickLabel', ylabels);
scatter(Dataquintiles.*100, DataPercmeansales, 's', 'filled');
legend('Baseline Distribution', 'French Data (Mean Across Destinations)');
hold off

nFig = nFig+2;