
% Runs WELFARE_GAINS for all distributions and plots elasticities.

global distribution

generalizedCES = 1;
useAnalyticExpenditure = 0; % 0 for numerical expenditure function
distributions = cellstr(['Pareto          ';...
    'Truncated Pareto'; 'Log-normal      ']);
nDists = length(distributions);

PARAMETERS

nFig = 1;
distTaus = cell(1, nDists);
distElasticities = cell(1, nDists);

for j = 2 
    distribution = distributions{j}
    initDist
    WELFARE_GAINS    
    nFig = nFig + 3;
    equil = equilibria{baselineIndex};
    distElasticities{j} = elasticities;
    distTaus{j} = dlogTaus(1:(n-1));
end

% Plot elasticities for each distribution.
figure(nFig)
hold on
title('Trade Elasticities as Function of dln(\tau)', 'FontSize', titleSize);
xlabel('dln(\tau)', 'FontSize', labelSize);
ylabel('Elasticities (absolute value)', 'FontSize', labelSize);
plot(distTaus{1}, abs(distElasticities{1}), '-k',...
    distTaus{2}, abs(distElasticities{2}), '--k',...
    distTaus{3}, abs(distElasticities{3}), ':k', 'LineWidth', 1);
legend('Pareto', 'Truncated Pareto', 'Log-normal');
hold off

