function [util] = calculateUtility(equil)
% Calculates utility at the given equilibrium.

global alpha sigma z_lb g q

N = equil.N;
p_star = equil.p_star;
p_d = equil.p_d;
p_x = equil.p_x;

f1 = @(z) ((q(p_d(z), p_star) + alpha).^(1 - 1/sigma) - alpha.^(1 - 1/sigma)) .* g(z);
f2 = @(z) ((q(p_x(z), p_star) + alpha).^(1 - 1/sigma) - alpha.^(1 - 1/sigma)) .* g(z);
util = (N * (integral(f1, z_lb, Inf) + integral(f2, z_lb, Inf))) ^ (sigma/(sigma - 1));

end
