
% Tests Proposition 1 in the paper (welfare changes for Pareto
% distribution).

generalizedCES = 1;

PARAMETERS

initPareto

tau1 = 1.8;
tau2 = 1.85;

disp(['Solving for tau = ', num2str(tau1)]);
[equil1, stats1] = solveEquilibrium(tau1, 5.4613);
disp(['Solving for tau = ', num2str(tau2)]);
[equil2, stats2] = solveEquilibrium(tau2, 5.4672);

eqUtil1 = calculateUtility(equil1);
eqUtil2 = calculateUtility(equil2);
expend1 = analyticExpenditure(equil1, eqUtil2);
expend2 = analyticExpenditure(equil2, eqUtil2);

dlogW = log(expend1/expend2)
dlogLambdajj = log((1-stats2.exportShare)/(1-stats1.exportShare));

eta = stats1.rho_d / (1+theta);
rhs = -(1-eta)*dlogLambdajj/theta

rho_predicted = (1+theta)*(1+theta*(dlogW/dlogLambdajj)) % rho needed to get calculated ratio dlogW/dlogLambdajj

dlogW/rhs